package com.ruoyi.ems.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.ems.domain.AdmOpAlarm;

/**
 * 能源设施告警Service接口
 *
 * @author ruoyi
 * @date 2024-08-26
 */
public interface IAdmOpAlarmService
{
    /**
     * 查询能源设施告警
     *
     * @param id 能源设施告警主键
     * @return 能源设施告警
     */
    public AdmOpAlarm selectAdmOpAlarmById(Long id);

    /**
     * 查询能源设施告警列表
     *
     * @param admOpAlarm 能源设施告警
     * @return 能源设施告警集合
     */
    public List<AdmOpAlarm> selectAdmOpAlarmList(AdmOpAlarm admOpAlarm);

    /**
     * 新增能源设施告警
     *
     * @param admOpAlarm 能源设施告警
     * @return 结果
     */
    public int insertAdmOpAlarm(AdmOpAlarm admOpAlarm);

    /**
     * 修改能源设施告警
     *
     * @param admOpAlarm 能源设施告警
     * @return 结果
     */
    public int updateAdmOpAlarm(AdmOpAlarm admOpAlarm);

    /**
     * 批量删除能源设施告警
     *
     * @param ids 需要删除的能源设施告警主键集合
     * @return 结果
     */
    public int deleteAdmOpAlarmByIds(Long[] ids);

    /**
     * 删除能源设施告警信息
     *
     * @param id 能源设施告警主键
     * @return 结果
     */
    public int deleteAdmOpAlarmById(Long id);

    public List<Map<String, Object>> qryAlarmTypeIndex(String areaCode);

    public List<Map<String, Object>> qryAlarmTypeIndexDay(String areaCode);

    public List<Map<String, Object>> qryAlarmTypeIndexMonth(String areaCode);

    public List<Map<String, Object>> qryAlarmTypeIndexYear(String areaCode);

    List<Map<String, Object>> qrySubSysIndexDay(String areaCode);

    List<Map<String, Object>> qrySubSysIndexMonth(String areaCode);

    List<Map<String, Object>> qrySubSysIndexYear(String areaCode);
}
